Subject: Re: bug#79058: 30.1; involking signal using emacsclient takes very long time to complete ~2 seconds

From: Bror Winther <[email-masked]>
Date: Sun, 20 Jul 2025 19:20:22 +0200

Sure, no problem at all. I use a tiling window manager. For this I have a script
for navigating between OS windows and for consistency I use the same script to
navigate windows in Emacs. The script uses emacsclient --eval “(evil-window-up
1)” to navigate a window up, if this fails it will call the window manager
instead because it means that there is no window in that direction. Because the
wait is now 2 seconds it takes 2 seconds to shift focus out of emacs. This might
be a minor nuisance but enough to be annoying.

//bror

> On 20 Jul 2025, at 15.37, Eli Zaretskii <[email-masked]> wrote:
> 
>> Cc: [email-masked]
>> Date: Sun, 20 Jul 2025 16:30:40 +0300
>> From: Eli Zaretskii <[email-masked]>
>> 
>>> From: Bror Winther <[email-masked]>
>>> Date: Sun, 20 Jul 2025 14:58:06 +0200
>>> Cc: [email-masked]
>>> 
>>> Oh. Okay. I understand that this is probably not the best place to discuss
>>> features but having such a delay configurable would be nice. I have created a
>>> small patch. What email should I send it to?
>> 
>> Post it to this very discussion thread.
> 
> Btw, would you mind telling why it is important to have a script that
> yields an error message finish quickly?  Scripts don't usually emit
> errors, and when they do, the error should be clearly visible before
> it disappears from sight.